NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Measurement Class Reference

Provides methods for calculating and displaying the measurement information. More...

Inheritance diagram for NXOpen.Measurement:

Public Types

enum  DeviationReportType {
  NoDeviation, AllDeviation, MaximumDistance, MinimumDistance,
  MaximumAngle, MinimumAngle
}
 Describes type of the 'Deviation Checking' report. More...
 

Public Member Functions

unsafe void DisplayArcLength (NXOpen.DisplayableObject[] selectedObjects)
 Calculates and displays 'Total Arc Length' of all the selected objects. More...
 
unsafe double GetArcLength (NXOpen.DisplayableObject[] selectedObjects)
 Calculates and returns 'Total Arc Length' of all the selected objects. More...
 
unsafe void DisplayMinimumDistance (NXOpen.DisplayableObject object1, NXOpen.DisplayableObject object2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2)
 Calculates and displays 'Minimum Distance " between objects. More...
 
unsafe void DisplayMinimumDistance (NXOpen.NXObject object1, NXOpen.Point3d startPointForObject1, NXOpen.NXObject object2, NXOpen.Point3d startPointForObject2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2)
 Calculates and displays 'Minimum Distance' between objects. More...
 
unsafe void DisplayMinimumDistance (NXOpen.NXObject object1, NXOpen.Point3d startPointForObject1, NXOpen.NXObject object2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2)
 Calculates and displays 'Minimum Distance' between objects. More...
 
unsafe void DisplayMinimumDistance (NXOpen.NXObject object1, NXOpen.NXObject object2, NXOpen.Point3d startPointForObject2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2)
 Calculates and displays 'Minimum Distance' between objects. More...
 
unsafe double GetMinimumDistance (NXOpen.NXObject object1, NXOpen.NXObject object2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2, out double accuracy)
 Calculates and returns 'Minimum Distance " between objects. More...
 
unsafe double GetMinimumDistance (NXOpen.NXObject object1, NXOpen.Point3d startPointForObject1, NXOpen.NXObject object2, NXOpen.Point3d startPointForObject2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2, out double accuracy)
 Calculates and returns 'Minimum Distance " between objects. More...
 
unsafe double GetMinimumDistance (NXOpen.NXObject object1, NXOpen.Point3d startPointForObject1, NXOpen.NXObject object2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2, out double accuracy)
 Calculates and returns 'Minimum Distance " between objects. More...
 
unsafe double GetMinimumDistance (NXOpen.NXObject object1, NXOpen.NXObject object2, NXOpen.Point3d startPointForObject2, out NXOpen.Point3d closePoint1, out NXOpen.Point3d closePoint2, out double accuracy)
 Calculates and returns 'Minimum Distance " between objects. More...
 
unsafe void DisplayAngle (NXOpen.NXObject object1, NXOpen.Point3d position1, NXOpen.NXObject object2, NXOpen.Point3d position2)
 Calculates and displays 'Angle' between objects. More...
 
unsafe double GetAngle (NXOpen.NXObject object1, NXOpen.Point3d position1, NXOpen.NXObject object2, NXOpen.Point3d position2)
 Calculates and returns 'True Angle' between objects. More...
 
unsafe void DisplayDeviationChecking (NXOpen.ICurve curve1, NXOpen.ICurve curve2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen.Measurement.DeviationReportType reportType)
 Checks deviations between curves (curve to curve),and displays the report. More...
 
unsafe void DisplayDeviationChecking (NXOpen.Curve curve1, NXOpen.Face face2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen.Measurement.DeviationReportType reportType)
 Checks deviations between a curve and a face (curve to face), and displays the report. More...
 
unsafe void DisplayDeviationChecking (NXOpen.Face face1, NXOpen.Edge edge1, NXOpen.Face face2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen.Measurement.DeviationReportType reportType)
 Checks deviations between a edge and a face (edge to face), and displays the report. More...
 
unsafe void DisplayDeviationChecking (NXOpen.Face face1, NXOpen.Face face2, int numOfCheckPointsU, int numOfCheckPointsV, double distanceTolerance, double angularTolerance, NXOpen.Measurement.DeviationReportType reportType)
 Checks deviations between faces (face to face), and displays the report. More...
 
unsafe void DisplayDeviationChecking (NXOpen.Face face1, NXOpen.Edge edge1, NXOpen.Face face2, NXOpen.Edge edge2, int numOfCheckPoints, double distanceTolerance, double angularTolerance, NXOpen.Measurement.DeviationReportType reportType)
 Checks deviations between edges (edge to edge), and displays the report. More...
 
unsafe void DisplayArcLengthBetweenPoints (NXOpen.Point point1, NXOpen.Point point2)
 Calculates and displays the arc length between two points on curves. More...
 
unsafe void GetArcLengthBetweenPoints (NXOpen.Point point1, NXOpen.Point point2, out double length, out NXOpen.Curve[] curves)
 Calculates and returns the arc length between two points on curves. More...
 
unsafe void DisplayRoutingPathLength (NXOpen.Routing.ISegment[] selectedObjects, out NXOpen.Routing.ISegment[] usedObjects)
 Calculates and displays the Routing path length. More...
 
unsafe double GetRoutingPathLength (NXOpen.NXObject[] selectedObjects, out NXOpen.NXObject[] usedObjects, out double[] individualLengths)
 Calculates and returns the Routing path length. More...
 
unsafe double GetMinimumOrthogonalDistance (NXOpen.DisplayableObject object1, NXOpen.DisplayableObject object2, out NXOpen.Point3d closestOrthogonalPoint)
 Calculates and returns 'Minimum Orthogonal Distance' between input point and face or edge. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Provides methods for calculating and displaying the measurement information.

To obtain an instance of this class, refer to NXOpen.Session

Created in NX3.0.0

Member Enumeration Documentation

Describes type of the 'Deviation Checking' report.

Enumerator
NoDeviation 

No Deviation

AllDeviation 

All Deviation

MaximumDistance 

Maximum Distance

MinimumDistance 

Minimum Distance

MaximumAngle 

Maximum Angle

MinimumAngle 

Minimum Angle

Member Function Documentation

unsafe void NXOpen.Measurement.DisplayAngle ( NXOpen.NXObject  object1,
NXOpen.Point3d  position1,
NXOpen.NXObject  object2,
NXOpen.Point3d  position2 
)

Calculates and displays 'Angle' between objects.

Features.SewBuilder.Type of allowed input objects are - Edge, Face, Body, Curve, Direction or Feature etc.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
position1Point position on first object
object2Second object
position2Point position on second object
unsafe void NXOpen.Measurement.DisplayArcLength ( NXOpen.DisplayableObject[]  selectedObjects)

Calculates and displays 'Total Arc Length' of all the selected objects.

Features.SewBuilder.Type of allowed input objects are - NXOpen.Edge ,NXOpen.Line ,NXOpen.Arc ,NXOpen.Spline ,and NXOpen.Curve

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
selectedObjectsArray of objects for which length to be calculated
unsafe void NXOpen.Measurement.DisplayArcLengthBetweenPoints ( NXOpen.Point  point1,
NXOpen.Point  point2 
)

Calculates and displays the arc length between two points on curves.

The points may be on a single curve or a set of connected curves.

Features.SewBuilder.Type of allowed input objects is NXOpen.Point

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX6.0.0

License requirements: None.

Parameters
point1First point on curve
point2Second point on curve
unsafe void NXOpen.Measurement.DisplayDeviationChecking ( NXOpen.ICurve  curve1,
NXOpen.ICurve  curve2,
int  numOfCheckPoints,
double  distanceTolerance,
double  angularTolerance,
NXOpen.Measurement.DeviationReportType  reportType 
)

Checks deviations between curves (curve to curve),and displays the report.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
curve1Curve used for deviation checking
curve2Curve used for deviation checking
numOfCheckPointsNumber of equally spaced sample check points
distanceToleranceDistance Tolerance
angularToleranceAngle Tolerance
reportTypeType of the report
unsafe void NXOpen.Measurement.DisplayDeviationChecking ( NXOpen.Curve  curve1,
NXOpen.Face  face2,
int  numOfCheckPoints,
double  distanceTolerance,
double  angularTolerance,
NXOpen.Measurement.DeviationReportType  reportType 
)

Checks deviations between a curve and a face (curve to face), and displays the report.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
curve1Curve used for deviation checking
face2Face used for deviation checking
numOfCheckPointsNumber of equally spaced sample check points
distanceToleranceDistance Tolerance
angularToleranceAngle Tolerance
reportTypeType of the report
unsafe void NXOpen.Measurement.DisplayDeviationChecking ( NXOpen.Face  face1,
NXOpen.Edge  edge1,
NXOpen.Face  face2,
int  numOfCheckPoints,
double  distanceTolerance,
double  angularTolerance,
NXOpen.Measurement.DeviationReportType  reportType 
)

Checks deviations between a edge and a face (edge to face), and displays the report.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
face1Face on which edge1 lies
edge1Edge used for deviation checking
face2Face used for deviation checking
numOfCheckPointsNumber of equally spaced sample check points
distanceToleranceDistance Tolerance
angularToleranceAngle Tolerance
reportTypeType of the report
unsafe void NXOpen.Measurement.DisplayDeviationChecking ( NXOpen.Face  face1,
NXOpen.Face  face2,
int  numOfCheckPointsU,
int  numOfCheckPointsV,
double  distanceTolerance,
double  angularTolerance,
NXOpen.Measurement.DeviationReportType  reportType 
)

Checks deviations between faces (face to face), and displays the report.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
face1First face used for deviation checking
face2Second face used for deviation checking
numOfCheckPointsUNumber of equally spaced sample check points in u direction
numOfCheckPointsVNumber of equally spaced sample check points in v direction
distanceToleranceDistance Tolerance
angularToleranceAngle Tolerance
reportTypeType of the report
unsafe void NXOpen.Measurement.DisplayDeviationChecking ( NXOpen.Face  face1,
NXOpen.Edge  edge1,
NXOpen.Face  face2,
NXOpen.Edge  edge2,
int  numOfCheckPoints,
double  distanceTolerance,
double  angularTolerance,
NXOpen.Measurement.DeviationReportType  reportType 
)

Checks deviations between edges (edge to edge), and displays the report.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
face1Face on which edge1 lies
edge1First edge used for deviation checking
face2Face on which edge2 lies
edge2Second edge used for deviation checking
numOfCheckPointsNumber of equally spaced sample check points
distanceToleranceDistance Tolerance
angularToleranceAngle Tolerance
reportTypeType of the report
unsafe void NXOpen.Measurement.DisplayMinimumDistance ( NXOpen.DisplayableObject  object1,
NXOpen.DisplayableObject  object2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2 
)

Calculates and displays 'Minimum Distance " between objects.

Start points are NOT specified for any of the objects.

Features.SewBuilder.Type of allowed input objects are - Curve, Edge, Face, Body, Plane, or Csys etc.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
object2Second object
closePoint1Close point on first object
closePoint2Close point on second object
unsafe void NXOpen.Measurement.DisplayMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.Point3d  startPointForObject1,
NXOpen.NXObject  object2,
NXOpen.Point3d  startPointForObject2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2 
)

Calculates and displays 'Minimum Distance' between objects.

Start points are specified for both the objects. If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object and pass a point co-ordinates as a start point.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
startPointForObject1Start point for first object
object2Second object
startPointForObject2Start point for second object
closePoint1Close point on first object
closePoint2Close point on second object
unsafe void NXOpen.Measurement.DisplayMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.Point3d  startPointForObject1,
NXOpen.NXObject  object2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2 
)

Calculates and displays 'Minimum Distance' between objects.

Start points are specified only for object1.If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object1 and pass a point co-ordinates as a start_point_for_object_1.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
startPointForObject1Start point for first object
object2Second object
closePoint1Close point on first object
closePoint2Close point on second object
unsafe void NXOpen.Measurement.DisplayMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.NXObject  object2,
NXOpen.Point3d  startPointForObject2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2 
)

Calculates and displays 'Minimum Distance' between objects.

Start points are specified only for object2.If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object2 and pass a point co-ordinates as a start_point_for_object_2.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
object2Second object
startPointForObject2Start point for second object
closePoint1Close point on first object
closePoint2Close point on second object
unsafe void NXOpen.Measurement.DisplayRoutingPathLength ( NXOpen.Routing.ISegment[]  selectedObjects,
out NXOpen.Routing.ISegment[]  usedObjects 
)

Calculates and displays the Routing path length.

If the path is disconnected, not all of the NXOpen.Routing.ISegment s can be arranged end to end, the length returned is the sum of the lengths of the segments.

NXOpen.Features.SewBuilder.Type of allowed input objects is NXOpen.Routing.ISegment

In Interactive mode, output will be displayed in the listing window

In Batch mode, output will be displayed to the standard output (stdout)

Created in NX6.0.0

License requirements: None.

Parameters
selectedObjectsArray of NXOpen.Routing.ISegment s for which length is calculated
usedObjectsArray of USED NXOpen.Routing.ISegment s for which length is calculated
unsafe double NXOpen.Measurement.GetAngle ( NXOpen.NXObject  object1,
NXOpen.Point3d  position1,
NXOpen.NXObject  object2,
NXOpen.Point3d  position2 
)

Calculates and returns 'True Angle' between objects.

Features.SewBuilder.Type of allowed input objects are - Edge, Face, Body, Curve, Direction or Feature etc.

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
position1Point position on first object
object2Second object
position2Point position on second object
Returns
Angle between object1 and object2
unsafe double NXOpen.Measurement.GetArcLength ( NXOpen.DisplayableObject[]  selectedObjects)

Calculates and returns 'Total Arc Length' of all the selected objects.

Features.SewBuilder.Type of allowed input objects are - NXOpen.Edge ,NXOpen.Line ,NXOpen.Arc ,NXOpen.Spline ,and NXOpen.Curve

Created in NX3.0.0

License requirements: None.

Parameters
selectedObjectsArray of objects for which length to be calculated
Returns
Total Arc Length
unsafe void NXOpen.Measurement.GetArcLengthBetweenPoints ( NXOpen.Point  point1,
NXOpen.Point  point2,
out double  length,
out NXOpen.Curve[]  curves 
)

Calculates and returns the arc length between two points on curves.

The points may be on a single curve or a set of connected curves. Also returns the curves that is the shortest path between the two points.

NXOpen.Features.SewBuilder.Type of allowed input objects is NXOpen.Point

Created in NX6.0.0

License requirements: None.

Parameters
point1First point on curve
point2Second point on curve
lengthArc length between the two points
curvesThe curves of the shortest path
unsafe double NXOpen.Measurement.GetMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.NXObject  object2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2,
out double  accuracy 
)

Calculates and returns 'Minimum Distance " between objects.

Start points are NOT specified for any of the objects.

Features.SewBuilder.Type of allowed input objects are - Curve, Edge, Face, Body, Plane, or Csys etc.

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
object2Second object
closePoint1Close point on first object
closePoint2Close point on second object
accuracyAccuracy of calculation
Returns
minimum distance between two objects
unsafe double NXOpen.Measurement.GetMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.Point3d  startPointForObject1,
NXOpen.NXObject  object2,
NXOpen.Point3d  startPointForObject2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2,
out double  accuracy 
)

Calculates and returns 'Minimum Distance " between objects.

Start points are specified for both the objects. If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object and pass a point co-ordinates as a start point.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
startPointForObject1Start point for first object
object2Second object
startPointForObject2Start point for second object
closePoint1Close point on first object
closePoint2Close point on second object
accuracyAccuracy of calculation
Returns
minimum distance between two objects
unsafe double NXOpen.Measurement.GetMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.Point3d  startPointForObject1,
NXOpen.NXObject  object2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2,
out double  accuracy 
)

Calculates and returns 'Minimum Distance " between objects.

Start points are specified only for first object. If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object1 and pass a point co-ordinates as a start_point_for_object_1.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
startPointForObject1Start point for first object
object2Second object
closePoint1Close point on first object
closePoint2Close point on second object
accuracyAccuracy of calculation
Returns
minimum distance between two objects
unsafe double NXOpen.Measurement.GetMinimumDistance ( NXOpen.NXObject  object1,
NXOpen.NXObject  object2,
NXOpen.Point3d  startPointForObject2,
out NXOpen.Point3d  closePoint1,
out NXOpen.Point3d  closePoint2,
out double  accuracy 
)

Calculates and returns 'Minimum Distance " between objects.

Start points are specified only for second object. If any of object is Point,Pass a null reference (Nothing in Visual Basic) to the object2 and pass a point co-ordinates as a start_point_for_object_2.

Features.SewBuilder.Type of allowed input objects are - Point, Curve, Edge, Face, Body, Plane, or Csys etc.

Created in NX3.0.0

License requirements: None.

Parameters
object1First object
object2Second object
startPointForObject2Start point for second object
closePoint1Close point on first object
closePoint2Close point on second object
accuracyAccuracy of calculation
Returns
Minimum distance between two objects
unsafe double NXOpen.Measurement.GetMinimumOrthogonalDistance ( NXOpen.DisplayableObject  object1,
NXOpen.DisplayableObject  object2,
out NXOpen.Point3d  closestOrthogonalPoint 
)

Calculates and returns 'Minimum Orthogonal Distance' between input point and face or edge.

Created in NX10.0.3

License requirements: None.

Parameters
object1input point
object2face or edge
closestOrthogonalPointClosest orthogonal point on face or edge
Returns
Minimum orthogonal distance between input point and face or edge
unsafe double NXOpen.Measurement.GetRoutingPathLength ( NXOpen.NXObject[]  selectedObjects,
out NXOpen.NXObject[]  usedObjects,
out double[]  individualLengths 
)

Calculates and returns the Routing path length.

If the path is disconnected, not all of the NXOpen.Routing.ISegment s can be arranged end to end, the length returned is the sum of the lengths of the segments.

NXOpen.Features.SewBuilder.Type of allowed input objects is NXOpen.Routing.ISegment

Created in NX6.0.0

License requirements: None.

Parameters
selectedObjectsArray of NXOpen.Routing.ISegment s and NXOpen.Assemblies.Component s for which length is calculated
usedObjectsThe routing objects used in the path length computation
individualLengths
Returns
Sum of the individual lengths

Property Documentation

Tag NXOpen.Measurement.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.